package ch.phoenixtechnologies.lc4j.workshop.persistence;

import io.quarkus.hibernate.orm.panache.PanacheEntity;
import jakarta.persistence.Entity;
import jakarta.persistence.ManyToOne;
import java.time.LocalDate;

@Entity
public class Booking extends PanacheEntity {
    @ManyToOne
    Customer customer;

    LocalDate dateFrom;
    LocalDate dateTo;
}
